Download it now!
Bug 87803 - OpenOffice reference in installation comment
Summary: OpenOffice reference in installation comment
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium enhancement
Assignee: Andras Timar
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-28 18:27 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-01-30 11:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (11.39 KB, image/png)
2014-12-28 18:27 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-28 18:27:55 UTC
Created attachment 111434 [details]
screenshot

While uninstalling LO 4.2.6 through the control panel's programs and features, i noticed '(OOO420(Build:2))' in comments field in the dialog. I was wondering if this OOO is intentional or not and whether its available in newer installs as well.
Comment 1 Robinson Tryon (qubit) 2014-12-28 18:40:40 UTC
(In reply to Jay Philips from comment #0)
> While uninstalling LO 4.2.6 through the control panel's programs and
> features, i noticed '(OOO420(Build:2))' in comments field in the dialog. I
> was wondering if this OOO is intentional or not and whether its available in
> newer installs as well.

Unless we need to use the naming convention for compatibility reasons (e.g. retaining the 'soffice' name of the binary), I'd suggest that we change it.

Status -> NEW

Jay: Any idea where this lives in the build system?
Comment 2 Robinson Tryon (qubit) 2014-12-28 18:40:55 UTC
Oh, and probably should be an enhancement
Comment 3 Yousuf Philips (jay) (retired) 2014-12-28 20:31:46 UTC
(In reply to Robinson Tryon (qubit) from comment #1)
> Jay: Any idea where this lives in the build system?

Qubit: Nope. :D
Comment 5 Commit Notification 2015-01-27 21:40:52 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94716a4d071418ac4cef42ce85da1c42a0df6347

tdf#87803 bin useless $buildidstring

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2015-01-28 04:06:41 UTC
Thanks Timar for the fix. Can we cherrypick this for 4.4?
Comment 7 Commit Notification 2015-01-30 11:46:16 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=865a2fe08bd7b61a7f384446b074cbe8ad7cec2d&h=libreoffice-4-3

tdf#87803 bin useless $buildidstring

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-01-30 11:46:25 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9565480cc6b58e22db762a8cad69e210e38d0a7c&h=libreoffice-4-4

tdf#87803 bin useless $buildidstring

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.